### Signal

# Gio ListModel::items-changed

since: 2.44

#### Declaration

    void
    items_changed (
      GListModel* self,
      guint position,
      guint removed,
      guint added,
      gpointer user_data
    )

#### Description [src]

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Note: If `removed != added`, the positions of all later items in the model change.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.44

#### Parameters

`position`

  Type: `guint`

  The position at which `list` changed.

`removed`

  Type: `guint`

  The number of items removed.

`added`

  Type: `guint`

  The number of items added.